Subject: RE: [mobile-ip] MN-to-MN communications in MIPv4

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Wed, 5 Dec 2001 11:41:18 +0100

I believe there are FAs which collect accounting data (e.g. CDMA2000 PDSNs).
Would it actually be a problem for accounting? I'm not an expert in
this but why should the HA want to do accounting only for one
direction of MN traffic and not both? If you want to do accounting in the
HA then you reverse tunnel. If there's no reverse tunneling then only
the FA can collect accounting information for traffic to/from the MN.
Do you think HA verification of accounting only for traffic towards
the MN is something people want to do?

 > 
 > Having the accounting be done in the FA (without the ability 
 > for the HA
 > to verify it) is a quite different model. THus I'm not 
 > debating that a
 > system can't be built to work that way - I'm just pointing 
 > out that allowing
 > FA shortcuts is a change to the RFCs as I understand them.

Do you mean RFC2002 or others? I'm not sure this is disallowed in 2002
but I may have misunderstood something. Also, as above, I don't think that
the ability for the HA to verify the FA's accounting only for one direction
of the traffic is useful.

/Karim

---

From: Erik Nordmark <[email-masked]>
Date: Thu, 6 Dec 2001 10:00:56 +0100 (CET)

> the MN is something people want to do?

My point is that we don't know - and we might not even be able to find
out what assumptions folks have made for various systems.

Thus being conservative not upsetting whatever assumptions folks have
made would seem like a prudent approach.

> of the traffic is useful.

RFC 2002. There are lots of things (like dropping all port 443 tcp packets on
the floor) that 2002 doesn't explicitly disallow - doesn't mean it is a good
idea to do them.

As far as I can tell (and please tell me what I missed)
somebody reading RFC 2002 would assume that all packets to a MN pass through
that MNs home agent.

   Erik